Module tdlight.api
Package it.tdlight.jni

# Class TdApi.SendMessageAlbum

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function<TdApi.Messages>
it.tdlight.jni.TdApi.SendMessageAlbum

Enclosing class:
  TdApi

public static final class TdApi.SendMessageAlbum extends TdApi.Function<TdApi.Messages>
Sends 2-10 messages grouped together into an album. Currently only audio, document, photo and video messages can be grouped into an album. Documents and audio files can be only grouped in an album with messages of the same type. Returns sent messages.

Returns `Messages`

## Field Summary

Fields
Modifier and Type
Field
Description
`long`
`chatId`
Target chat.
`static final int`
`CONSTRUCTOR`
`TdApi.InputMessageContent[]`
`inputMessageContents`
Contents of messages to be sent.
`long`
`messageThreadId`
If not 0, a message thread identifier in which the messages will be sent.
`TdApi.MessageSendOptions`
`options`
Options to be used to send the messages; pass null to use default options.
`long`
`replyToMessageId`
Identifier of a message to reply to or 0.

## Constructor Summary

Constructors
Constructor
Description
`SendMessageAlbum()`
Sends 2-10 messages grouped together into an album.
`SendMessageAlbum(long chatId, long messageThreadId, long replyToMessageId, TdApi.MessageSendOptions options, TdApi.InputMessageContent[] inputMessageContents)`
Sends 2-10 messages grouped together into an album.
`SendMessageAlbum(DataInput input)`
Sends 2-10 messages grouped together into an album.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### chatId

public long chatId
Target chat.

### messageThreadId

public long messageThreadId
If not 0, a message thread identifier in which the messages will be sent.

### replyToMessageId

public long replyToMessageId
Identifier of a message to reply to or 0.

### options

public TdApi.MessageSendOptions options
Options to be used to send the messages; pass null to use default options.

### inputMessageContents

public TdApi.InputMessageContent[] inputMessageContents
Contents of messages to be sent. At most 10 messages can be added to an album.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### SendMessageAlbum

public SendMessageAlbum()
Sends 2-10 messages grouped together into an album. Currently only audio, document, photo and video messages can be grouped into an album. Documents and audio files can be only grouped in an album with messages of the same type. Returns sent messages.

Returns `Messages`

### SendMessageAlbum

public SendMessageAlbum(long chatId, long messageThreadId, long replyToMessageId, TdApi.MessageSendOptions options, TdApi.InputMessageContent[] inputMessageContents)
Sends 2-10 messages grouped together into an album. Currently only audio, document, photo and video messages can be grouped into an album. Documents and audio files can be only grouped in an album with messages of the same type. Returns sent messages.

Returns `Messages`

Parameters:
  `chatId` - long Target chat.
  `messageThreadId` - long If not 0, a message thread identifier in which the messages will be sent.
  `replyToMessageId` - long Identifier of a message to reply to or 0.
  `options` - MessageSendOptions Options to be used to send the messages; pass null to use default options.
  `inputMessageContents` - InputMessageContent[] Contents of messages to be sent. At most 10 messages can be added to an album.

### SendMessageAlbum

public SendMessageAlbum(DataInput input) throws IOException
Sends 2-10 messages grouped together into an album. Currently only audio, document, photo and video messages can be grouped into an album. Documents and audio files can be only grouped in an album with messages of the same type. Returns sent messages.

Returns `Messages`

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`